Create a new volume
POST /aws/ha/volumes
Creates a new volume. If the aggregateName and maxNumOfDisksApprovedToAdd properties are not populated, the response fails with a suggested aggregate name and the number of disks that will need to be created in order to fulfill the request.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
createAggregateIfNotFound |
boolean |
query |
False |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
workingEnvironmentId |
string |
True |
Cloud Volumes ONTAP system ID |
svmName |
string |
True |
SVM name |
aggregateName |
string |
True |
Aggregate in which the volume will be created |
name |
string |
False |
Volume name, unique within the SVM |
size |
True |
||
initialSize |
False |
||
snapshotPolicyName |
string |
True |
Snapshot policy name |
exportPolicyInfo |
False |
||
shareInfo |
False |
||
iscsiInfo |
False |
||
enableThinProvisioning |
boolean |
True |
Enable thin provisioning on the volume |
enableCompression |
boolean |
True |
Enable compression on the volume |
enableDeduplication |
boolean |
True |
Enable deduplication on the volume |
maxNumOfDisksApprovedToAdd |
integer |
True |
Maximum number of disks approved to allocate |
evCapacityApprovedToAdd |
False |
||
providerVolumeType |
string |
False |
Provider volume type |
syncToS3 |
boolean |
True |
Add a cloud sync relationship |
capacityTier |
string |
False |
Capacity tier |
iops |
integer |
False |
Provisioned IOPS |
throughput |
integer |
False |
Provisioned throughput |
tieringPolicy |
string |
False |
Tiering policy |
junctionPath |
string |
False |
Junction path |
qualityOfService |
False |
||
minimumCoolingDays |
False |
Cooling Days |
|
volumeTags |
array[VolumeTags] |
True |
Optionally, provide key-value pairs with which to tag the ONTAP volume using the App Template service. |
comment |
string |
False |
Volume Comment |
flexGroupVolumeInfo |
False |
Error
Status: Default, Default response
Definitions
See Definitions
PositiveCapacity
| Name | Type | Required | Description |
|---|---|---|---|
size |
number |
True |
Size |
unit |
string |
True |
Unit |
Capacity
| Name | Type | Required | Description |
|---|---|---|---|
size |
number |
True |
Size |
unit |
string |
True |
Unit |
index
Export policy rule index
ExportPolicyRule
| Name | Type | Required | Description |
|---|---|---|---|
index |
False |
Export policy rule index |
|
ruleAccessControl |
string |
True |
Export policy rule access control |
ips |
array[string] |
True |
Export policy rule list of IPs |
nfsVersion |
array[string] |
False |
Export policy rule protocol |
superUser |
boolean |
True |
Export policy rule super user access |
ExportPolicyInfo
| Name | Type | Required | Description |
|---|---|---|---|
policyType |
string |
False |
Export policy type |
ips |
array[string] |
False |
Custom export policy list of IPs |
nfsVersion |
array[string] |
False |
Export policy protocol |
rules |
array[ExportPolicyRule] |
False |
Export policy rules |
| Name | Type | Required | Description |
|---|---|---|---|
permission |
string |
False |
CIFS share permission type |
users |
array[string] |
True |
List of users with the permission |
| Name | Type | Required | Description |
|---|---|---|---|
shareName |
string |
False |
Share name |
accessControl |
False |
IgroupCreationRequest
| Name | Type | Required | Description |
|---|---|---|---|
initiators |
array[string] |
False |
Initiators |
igroupName |
string |
False |
Igroup name |
CreateIscsiInfoRequest
| Name | Type | Required | Description |
|---|---|---|---|
osName |
string |
False |
Operating system |
igroupCreationRequest |
False |
||
igroups |
array[string] |
False |
Igroups |
RaidInfoForEvAggregate
| Name | Type | Required | Description |
|---|---|---|---|
numOfDisks |
integer |
True |
Number of new disks needed for the RAID group |
diskSize |
True |
ElasticVolumeQuoteInfo
| Name | Type | Required | Description |
|---|---|---|---|
totalCapacityToAdd |
False |
||
addedCapacityToExistingEvDisks |
False |
||
newRaidForEvInfo |
array[RaidInfoForEvAggregate] |
False |
New RAID information |
totalEvDisks |
integer |
False |
VolumeQualityOfService
| Name | Type | Required | Description |
|---|---|---|---|
maxIops |
integer |
False |
|
maxDataRate |
False |
minimumCoolingDays
Cooling Days
VolumeTags
| Name | Type | Required | Description |
|---|---|---|---|
tagKey |
string |
False |
|
tagValue |
string |
False |
FlexGroupVolumeInfo
| Name | Type | Required | Description |
|---|---|---|---|
aggregateList |
array[string] |
False |
Names of aggregates for the FlexGroup volume |
numberOfConstituents |
integer |
False |
Number of constituents for the FlexGroup volume |